package com.reconciliation.recfj.enums;

/**
 * 对账指标
 * @author 史连宁
 */
public enum RecItem {
    IDX1("IDX1", "IDX1数据总量"),
    IDX2("IDX2", "IDX2创建时间月统计值"),
    IDX3("IDX3", "IDX3创建时间日统计值（近30天）"),
    IDX4("IDX4", "IDX4更新时间月统计值"),
    IDX5("IDX5", "IDX5更新时间日统计值（近30天）");

    private final String id;
    private final String name;

    /**
     * 对账指标枚举类
     * @param id 编码
     * @param name 名称
     */
    RecItem(String id, String name) {
      this.id = id;
      this.name = name;
    }

    public String getId() {
        return id;
    }

    public String getName() {
        return name;
    }
}
